/*
 * (c) 2010, SWD Embedded Systems Limited, http://www.kpda.ru
 */


#ifndef EXTERN_H_INCLUDED
#ifndef EXT
#define EXT extern
#endif

#define EXTERN_H_INCLUDED

#include <sys/devi.h>

extern int		optind, opterr, optopt;
extern char		*optarg;

EXT int			verbosity;

EXT event_bus_line_t	*Bus;	/* pointer to list of event bus lines 
				   managed by devi */

EXT int			IpGroup; /* input group (used by photon i/f) */
EXT char		*IpTargetDev; /* name of photon device to open */
EXT unsigned int        OptFlags; /* global options */
EXT int			IpCurrentFd; /* fd used to send messages via photon */
EXT input_module_t	*ModuleTable[MODULE_TABLE_SIZE]; /* table of currently
							    supported modules */
EXT common_callbacks_t commonCallbacks; /* Global callback functions     */
EXT char                *pServ_name;
EXT char                *pFull_process_name; // Full process name
EXT int					loopPlayback;
EXT FILE				*playFile;
EXT FILE				*logFile;
EXT	int					delayMsec;
#endif
